Subject: Re: Last Call: <draft-ietf-ippm-twamp-yang-07.txt> (Two-Way Active Measurement Protocol (TWAMP) Data Model) to Proposed Standard

From: "tom p." <[email-masked]>
Date: Wed, 11 Apr 2018 12:40:50 +0100

Some mostly administrative points on this I-D

[I-D.ietf-ippm-metric-registry] is an Informative Reference so would not
hold up the production of this as an RFC yet you ask that the text be
replaced by the RFC number which implies that you do want it held up. I
did ask the RFC Editor about this and yes, they would expect to catch it
but it would seem simpler if this could be a Normative Reference.  You
do have the statement up front about replacing the text with the RFC
number and yes, the RFC Editor like that.

There is no reference, no legend,  for Tree Diagrams in 5.1 .  There is
now an RFC on this, RFC 8340 while RFC8343 s.1.3 is an example of how to
reference this RFC.

There is no copyright statement in the YANG module as is required by
6087bis (please, IESG, make this an RFC soon:-)

leaf server-start-time {
includes
                The timestamp format follows RFC 1305
but I see no RFC 1305 in the references of the I-D

leaf reflector-udp-port
" The default number is
                  within to the dynamic port range and  .. "
which is not quite English.

"The new well-known port (862) MAY be used.";
This was allocated in 2008 which seems to stretch the meaning of 'new'

 leaf secret-key {
             type binary;
I wonder about the choice of binary; elsewhere, e.g. RFC8177,
hexadecimal is used.
Are there, should there be, any length constraints on this key?

 case poisson {
...
   reference
                  "RFC 2330: Framework for IP Performance Metrics";
RFC2330 I cannot see in the references for the I-D

The Security Considerations are not as per the current template e.g. no
mention of RESTCONF

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Monday, April 09, 2018 3:57 PM

> The IESG has received a request from the IP Performance Measurement WG
(ippm)
> to consider the following document: - 'Two-Way Active Measurement
Protocol
> (TWAMP) Data Model'
>   <draft-ietf-ippm-twamp-yang-07.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2018-04-27. Exceptionally, comments may
be
> sent to [email-masked] instead. In either case, please retain the
beginning of
> the Subject line to allow automated sorting.
>
> Abstract
>
>
>    This document specifies a data model for client and server
>    implementations of the Two-Way Active Measurement Protocol (TWAMP).
>    We define the TWAMP data model through Unified Modeling Language
>    (UML) class diagrams and formally specify it using YANG.
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-ippm-twamp-yang/
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/doc/draft-ietf-ippm-twamp-yang/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>
>
>